Search for to

  1. Search 7.x for to
  2. Search 9.5.x for to
  3. Search 8.9.x for to
  4. Search 10.3.x for to
  5. Search 11.x for to
  6. Other projects
Title Object type File name Summary
QueryFactory.php file core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php
QueryFactory::$configFactory property core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php The config factory used by the config entity query.
QueryFactory::$configManager property core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php The configuration manager.
QueryFactory::$connection property core/lib/Drupal/Core/Entity/Query/Sql/QueryFactory.php The database connection to use.
QueryFactory::$keyValueFactory property core/lib/Drupal/Core/Entity/KeyValueStore/Query/QueryFactory.php The key value factory.
QueryFactory::$keyValueFactory property core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php The key value factory.
QueryFactory::$namespaces property core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php The namespace of this class, the parent class etc.
QueryFactory::$namespaces property core/lib/Drupal/Core/Entity/KeyValueStore/Query/QueryFactory.php The namespace of this class, the parent class etc.
QueryFactory::$namespaces property core/lib/Drupal/Core/Entity/Query/Sql/QueryFactory.php The namespace of this class, the parent class etc.
QueryFactory::$namespaces property core/lib/Drupal/Core/Entity/Query/Null/QueryFactory.php The namespace of this class, the parent class etc.
QueryFactory::CONFIG_LOOKUP_PREFIX constant core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php The prefix for the key value collection for fast lookups.
QueryFactory::deleteConfigKeyStore function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Deletes lookup data.
QueryFactory::get function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Instantiates an entity query for a given entity type.
QueryFactory::get function core/lib/Drupal/Core/Entity/Query/Sql/QueryFactory.php Instantiates an entity query for a given entity type.
QueryFactory::get function core/lib/Drupal/Core/Entity/Query/Null/QueryFactory.php Instantiates an entity query for a given entity type.
QueryFactory::get function core/lib/Drupal/Core/Entity/KeyValueStore/Query/QueryFactory.php Instantiates an entity query for a given entity type.
QueryFactory::get function core/modules/workspaces/src/EntityQuery/QueryFactory.php Instantiates an entity query for a given entity type.
QueryFactory::getAggregate function core/modules/workspaces/src/EntityQuery/QueryFactory.php Instantiates an aggregation query object for a given entity type.
QueryFactory::getAggregate function core/lib/Drupal/Core/Entity/KeyValueStore/Query/QueryFactory.php Instantiates an aggregation query object for a given entity type.
QueryFactory::getAggregate function core/lib/Drupal/Core/Entity/Query/Sql/QueryFactory.php Instantiates an aggregation query object for a given entity type.
QueryFactory::getAggregate function core/lib/Drupal/Core/Entity/Query/Null/QueryFactory.php Instantiates an aggregation query object for a given entity type.
QueryFactory::getAggregate function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Instantiates an aggregation query object for a given entity type.
QueryFactory::getConfigKeyStore function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Gets the key value store used to store fast lookups.
QueryFactory::getKeys function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Creates lookup keys for configuration data.
QueryFactory::getSubscribedEvents function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php
QueryFactory::getValues function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Finds all the values for a configuration key in a configuration object.
QueryFactory::onConfigDelete function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Removes configuration entity from key store.
QueryFactory::onConfigSave function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Updates configuration entity in the key store.
QueryFactory::updateConfigKeyStore function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Updates or adds lookup data.
QueryFactory::__construct function core/lib/Drupal/Core/Config/Entity/Query/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/lib/Drupal/Core/Entity/Query/Sql/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/lib/Drupal/Core/Entity/Query/Null/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/lib/Drupal/Core/Entity/KeyValueStore/Query/QueryFactory.php Constructs a QueryFactory object.
QueryFactory::__construct function core/modules/workspaces/src/EntityQuery/QueryFactory.php Constructs a QueryFactory object.
QueryFactoryInterface interface core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Defines an interface for QueryFactory classes.
QueryFactoryInterface.php file core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php
QueryFactoryInterface::get function core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Instantiates an entity query for a given entity type.
QueryFactoryInterface::getAggregate function core/lib/Drupal/Core/Entity/Query/QueryFactoryInterface.php Instantiates an aggregation query object for a given entity type.
QueryFactoryTest class core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests Drupal\Core\Config\Entity\Query\QueryFactory.
QueryFactoryTest.php file core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php
QueryFactoryTest::getConfigObject function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Gets a test configuration object.
QueryFactoryTest::providerTestGetKeys function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php
QueryFactoryTest::testGetKeys function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests get keys.
QueryFactoryTest::testGetKeysWildCardEnd function core/tests/Drupal/Tests/Core/Config/Entity/Query/QueryFactoryTest.php Tests get keys wild card end.
QueryGroupByTest::$storage property core/modules/views/tests/src/Kernel/QueryGroupByTest.php The storage for the test entity type.
QueryGroupByTest::testGroupByCountOnlyFilters function core/modules/views/tests/src/Kernel/QueryGroupByTest.php Tests group by with filters.
QueryOptionsTest::testStoreQuerySettingsOverride function core/modules/views/tests/src/Functional/Plugin/QueryOptionsTest.php Test that query overrides are stored.
QueryParameterWorkspaceNegotiator class core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Defines the query parameter workspace negotiator.
QueryParameterWorkspaceNegotiator.php file core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php
QueryParameterWorkspaceNegotiator::$persist property core/modules/workspaces/src/Negotiator/QueryParameterWorkspaceNegotiator.php Whether the negotiated workspace should be persisted.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.